<div class="columns">
  <div class="column">
    <div class="heading">
      <h1 class="title">Dateien</h1>
    </div>
  </div>
</div>

<div class="columns">
  <div class="column">
    <div class="control">
      <label for="file" class="button">Datei zum Hochladen auswählen</label>
      <input type="file"
             nv-file-select uploader="vm.uploader"
             class="inputfile"
             name="file"
             id="file"/><br /><br />
      <ul class="list-group">
        <li ng-repeat="item in vm.uploader.queue" class="list-group-item">
          Name: <span ng-bind="item.file.name"></span><br /><br />
          <button ng-click="item.upload()"
                  class="button is-primary">Hochladen</button>
          <button ng-click="item.remove()"
                  class="button is-default">Abbrechen</button>
        </li>
      </ul>
    </div>
  </div>
</div>

<div class="columns">
  <div class="column">
    <div>
      <table class="table">
        <thead>
          <tr>
            <th>ID</th>
            <th>Name</th>
            <th>Hochgeladen am</th>
            <th>Typ</th>
            <th>Pfad</th>
            <th>Aktionen</th>
          </tr>
        </thead>
        <tbody>
          <tr ng-repeat="file in vm.files | orderBy:'':true track by $index">
            <td style="max-width: 4em;">{{file.id}}</td>
            <td style="max-width: 10em;"><a href="{{vm.fileApi + file.id}}"
                   style="word-wrap: break-word;"
                   target="_blank">{{file.name}}</a></td>
            <td>{{file.uploadedAt | date: 'short'}}</td>
            <td style="max-width: 10em;">{{file.type}}</td>
            <td style="max-width: 10em;">{{file.path}}</td>
            <td>
              <div class="control" role="group" aria-label="aktionen">
                <!--<button type="button"
                    class="btn btn-sm btn-default"
                    ng-click="vm.editFile($index, file)">
                  <span class="glyphicon glyphicon-pencil" aria-hidden="true"></span>
                </button>-->
                <button type="button"
                    class="button is-small is-danger"
                    ng-click="vm.removeFile($index, file);">
                  <i class="fa fa-times" aria-hidden="true"></i>
                </button>
              </div>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>